[expected-failures]
KHR-GL46.shader_image_load_store.advanced-copyImage
KHR-GL46.arrays_of_arrays_gl.AtomicUsage
KHR-GL46.arrays_of_arrays_gl.SubroutineFunctionCalls1
KHR-GL46.copy_image.functional
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec2 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec3 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-GL46.gpu_shader_fp64.builtin.mod_dvec4 = mesa acd0dd3b4b223a423fbe9ffd118c3fbbf119d993
KHR-NoContext.es32.robustness.getnuniform = see mesa issue #3082
KHR-GL46.arrays_of_arrays_gl.InteractionArgumentAliasing1 = mesa 536727c465170c028b0d91e4eb8d94020e4a7669
KHR-GL46.arrays_of_arrays_gl.InteractionArgumentAliasing2 = mesa 536727c465170c028b0d91e4eb8d94020e4a7669
KHR-GL46.arrays_of_arrays_gl.SubroutineArgumentAliasing1 = mesa 536727c465170c028b0d91e4eb8d94020e4a7669

[expected-crashes]
GTF-GL46.gtf45
GTF-GL46.gtf46

[fixed-tests]
KHR-GL46.texture_gather.plain-gather-int-cube-rg = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-uint-cube = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-unorm-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-uint-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-unorm-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-int-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-float-2d-srgb = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-unorm-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-uint-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-float-cube-rg = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-unorm-cube-array = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-uint-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-unorm-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-uint-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-unorm-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-float-2d-rg = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-int-2d-rg = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-unorm-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-uint-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-uint-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-unorm-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-uint-2drect = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-uint-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-unorm-cube = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-uint-cube-array = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offset-gather-unorm-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-uint-2d = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.offsets-gather-unorm-2darray = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_gather.plain-gather-float-2d-srgb-alpha = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.shader_image_load_store.basic-allFormats-loadGeometryStages = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.shader_image_load_store.early-fragment-tests = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.shader_image_load_store.basic-allFormats-load = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.shader_image_load_store.basic-allFormats-loadStoreComputeStage = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.copy_image.smoke_test = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.geometry_shader.layered_framebuffer.depth_support = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.geometry_shader.layered_rendering.layered_rendering = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_cube_map_array.generate_mip_map_filterable_internalformat_mutable = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_cube_map_array.generate_mip_map_filterable_internalformat_immutable = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_cube_map_array.subimage3D = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.clip_control.depth_mode_one_to_one = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.clip_control.depth_mode_zero_to_one = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.framebuffers_texture_layer_attachment = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.framebuffers_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.renderbuffers_storage_multisample = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.framebuffers_texture_attachment = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.textures_copy = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.direct_state_access.renderbuffers_storage = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.clip_control_ARB.depth_mode_one_to_one = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.clip_control_ARB.depth_mode_zero_to_one = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.texture_size_promotion.functional = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf21.GL2FixedTests.depth_buffer_clear.depth_buffer_clear = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf21.GL2FixedTests.copy_texture.copy_texture = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_color_and_stencil_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_missing_buffers_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_negative_height_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_nearest_filter_color_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_all_buffer_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_magnifying_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_scissor_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_color_and_depth_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_negative_dimensions_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_minifying_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_linear_filter_color_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_negative_width_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.framebuffer_blit.framebuffer_blit_functionality_multisampled_to_singlesampled_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.rgb8_rgba8.rgb8_rgba8_rgb = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.rgb8_rgba8.rgb8_rgba8_rgba = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.sgis_texture_lod.sgis_texture_lod_basic_mipmap_generation = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.packed_depth_stencil.packed_depth_stencil_blit = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
GTF-GL46.gtf30.GL3Tests.depth_texture.depth_texture_fbo_clear = mesa 08c44b47a984bd25d654ea89af5bc353d8270154
KHR-GL46.compute_shader.atomic-case2 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-max = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.shared-struct = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.atomic-case3 = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-atomic-counter = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.compute_shader.resource-subroutine = mesa 53f715fafb9af1043931b559647f400bd2cbd5e2
KHR-GL46.vertex_attrib_binding.advanced-iterations = mesa 4e9592c5fa249df11d9aab665f49f26f3d428d77
KHR-GL46.enhanced_layouts.varying_location_aliasing_with_mixed_auxiliary_storage = glcts d7074484f39deb97b42bb9cabd1a183e12910755
KHR-NoContext.gl45.robustness.lose_context_on_reset = mesa c61862ddfcb33235877a4b413858d80c4ccd0e51
KHR-NoContext.gl45.robustness.no_reset_notification = mesa c61862ddfcb33235877a4b413858d80c4ccd0e51
KHR-NoContext.gl45.context_flags.all_flags_set_case = mesa c61862ddfcb33235877a4b413858d80c4ccd0e51
KHR-NoContext.gl45.context_flags.robust_flag_set_case = mesa c61862ddfcb33235877a4b413858d80c4ccd0e51
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec2 = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec3 = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.gpu_shader_fp64.builtin.mod_against_scalar_dvec4 = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.gpu_shader_fp64.builtin.mod_double = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.indirect_parameters_tests.MultiDrawArraysIndirectCount = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.indirect_parameters_tests.MultiDrawElementsIndirectCount = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.indirect_parameters_tests.ParameterBufferOperations = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.shader_draw_parameters_tests.MultiDrawElementIndirectCountParameters = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
KHR-GL46.shader_draw_parameters_tests.MultiDrawArraysIndirectCountParameters = mesa d814c21b1bea0396c735d65b363a8f2c6324c7d8
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels = mesa f06c86358c2b3840d7b74514a90f83ed6fdd1991
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels_pbo = mesa f06c86358c2b3840d7b74514a90f83ed6fdd1991
GTF-GL46.gtf32.GL3Tests.packed_pixels.packed_pixels_pixelstore = mesa f06c86358c2b3840d7b74514a90f83ed6fdd1991
KHR-GL46.direct_state_access.textures_image_query_errors = mesa cd02f60c1e9d0ef37e4defb8e6b00433990fd90c
KHR-GL46.transform_feedback.draw_xfb_stream_test = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-GL46.transform_feedback.draw_xfb_test = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-GL46.transform_feedback.draw_xfb_feedbackk_test = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-GL46.transform_feedback.draw_xfb_instanced_test = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-GL46.transform_feedback.draw_xfb_stream_instanced_test = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-GL46.sync.flush_commands = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf40.GL3Tests.transform_feedback2.transform_feedback2_framebuffer = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf40.GL3Tests.transform_feedback2.transform_feedback2_two_buffers = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf40.GL3Tests.transform_feedback3.transform_feedback3_draw_stream = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf42.GL3Tests.transform_feedback_instanced.transform_feedback_instanced_conditional_render = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf42.GL3Tests.transform_feedback_instanced.transform_feedback_instanced_streams = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
GTF-GL46.gtf42.GL3Tests.transform_feedback_instanced.transform_feedback_instanced_basic = mesa 0e24d10ff5c0f2eca97afb149ad4511fcea1a39e
KHR-NoContext.es32.context_flags.all_flags_set_case = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-NoContext.es32.context_flags.debug_flag_set_case = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-NoContext.es32.context_flags.robust_flag_set_case = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-NoContext.es32.robustness.lose_context_on_reset = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-NoContext.es32.robustness.no_reset_notification = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-NoContext.es32.robustness.readnpixels = mesa 41549a18e6c3434e811c4e5af5e3dba26beec731
KHR-GL46.gl_spirv.spirv_modules_shader_binary_multiple_shader_objects_test = mesa 15e439071d8d695503a92594e561bf845ef9f4bb
KHR-GL46.spirv_extensions.spirv_extensions_queries = mesa 15e439071d8d695503a92594e561bf845ef9f4bb
KHR-GL46.shader_subroutine.control_flow_and_returned_subroutine_values_used_as_subroutine_input = mesa 99cbec0a5f463fef4d9c61f34482d9eb00293704
KHR-GL46.tessellation_shader.tessellation_shader_point_mode.points_verification = mesa ac7af7c50057f4b72ec058fd08b6f40db595e489
KHR-GL46.tessellation_shader.vertex.vertex_spacing = mesa ac7af7c50057f4b72ec058fd08b6f40db595e489
KHR-GL46.direct_state_access.vertex_arrays_attribute_format = mesa 67718ca3520b3540dfe08840e6397613c439f5db
KHR-GL46.direct_state_access.vertex_arrays_attribute_format_errors = mesa 67718ca3520b3540dfe08840e6397613c439f5db
KHR-GL46.direct_state_access.textures_buffer_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.direct_state_access.textures_buffer_range_errors = mesa a2542deb63adb3b5536947bcf9610c0ceca9da28
KHR-GL46.shader_group_vote.all_invocations = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.availability = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.shader_group_vote.any_invocation = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.gl_spirv.spirv_glsl_to_spirv_builtin_functions_test = mesa 34499de5b3793b6ad5302c4e2913803b9c48cc9f
KHR-GL46.direct_state_access.textures_parameter_setup_errors = glcts 77ccafb56a4dbad8859257c85a80a8802c62da59
KHR-GL46.layout_binding.atomic_uint_layout_binding_atomic_FragmentShader = glcts fixed by backported patches
KHR-GL46.layout_binding.atomic_uint_layout_binding_atomic_ComputeShader = glcts fixed by backported patches
KHR-GL46.layout_binding.atomic_uint_layout_binding_atomic_VertexShader = glcts fixed by backported patches
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_modifiers_1 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_modifiers_5 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_modifiers_6 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_fbo = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_modifiers_3 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_multishader = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_modifiers_2 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_cull = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf30.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_scissor = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_fbo = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_modifiers_3 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_modifiers_5 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_cull = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_scissor = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_modifiers_2 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_modifiers_6 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_modifiers_1 = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15
GTF-GL46.gtf32.GL3Tests.fragment_coord_conventions.fragment_coord_conventions_32_multishader = glcts f2f8094b68d8635ec6df334a7664625ef23cbd15

